﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace VRPProblemAnalyzer {

  public class PointD : Tuple<double, double> {
    public double X { get { return Item1; } }
    public double Y { get { return Item2; }}
    public PointD(double x, double y) : base(x, y) {}
    public double DistanceTo(PointD other) {
      return Math.Sqrt(Square(X - other.X) + Square(Y - other.Y));
    }
    private static double Square(double x) { return x*x; }
  }
}
